<?php

declare (strict_types=1);
namespace GDAVSCOPE\Amp\Pipeline\Internal;

use GDAVSCOPE\Amp\Pipeline\ConcurrentIterator;
/** @internal */
interface IntermediateOperation
{
    public function __invoke(ConcurrentIterator $source): ConcurrentIterator;
}
